package com.liquidnet.service.kylin.service;

import com.liquidnet.service.base.ResponseDto;
import com.liquidnet.service.kylin.dto.param.WqTempParam;
import com.liquidnet.service.kylin.dto.vo.CheckData;
import com.liquidnet.service.kylin.dto.vo.WqTempVo;

import java.util.ArrayList;
import java.util.List;

/**
 * <p>
 * 补偿接口 胡佳晨
 * </p>
 *
 * @author liquidnet
 * @since 2021-05-05
 */
public interface IKylinTempService {

    ResponseDto<Boolean> setWqRedis(String orderId);

    ResponseDto<Boolean> delWqRedis(String orderId);

    ResponseDto<Boolean> insertWqTempExpress(WqTempParam param);

    ResponseDto<WqTempVo> getWqTempExpress(String orderId);

    ResponseDto<Boolean> updateMailNo(String orderId, String mailNo);

    ResponseDto<List<CheckData>> getCheckData(String performance_id, String idcode, String[] ticket_ids);

    ResponseDto<List<CheckData>> checkTicket(String performance_id, String idcode, String remarks, String[] ticket_ids, String check_time);
}
